## libstb 0.0~git20180212.15.e6afb9c

=== tests/Makefile ===
INCLUDES = -I..
CFLAGS = -Wno-pointer-to-int-cast -Wno-int-to-pointer-cast -DSTB_DIVIDE_TEST
CPPFLAGS = -Wno-write-strings -DSTB_DIVIDE_TEST

all:
	$(CC) $(INCLUDES) $(CFLAGS) ../stb_vorbis.c test_c_compilation.c -lm
	$(CC) $(INCLUDES) $(CPPFLAGS) test_cpp_compilation.cpp -lm -lstdc++

=== debian/changelog ===
libstb (0.0~git20180212.15.e6afb9c-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Sun, 01 Sep 2019 14:59:28 -0700

libstb (0.0~git20180212.15.e6afb9c-1) unstable; urgency=medium

  * Initial release (Closes: #909167)

 -- Yangfl <mmyangfl@gmail.com>  Wed, 19 Sep 2018 14:35:07 +0800

=== debian/control ===
Source: libstb
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
Build-Depends: debhelper (>=11~)
Standards-Version: 4.2.1
Homepage: https://github.com/nothings/stb
Vcs-Git: https://salsa.debian.org/yangfl-guest/stb.git
Vcs-Browser: https://salsa.debian.org/yangfl-guest/stb

Package: libstb0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: single-file public domain (or MIT licensed) libraries for C/C++
 It includes the following modules:
  * stb_vorbis.c: decode ogg vorbis files from file/memory to float/16-bit
    signed output
  * stb_image.h: image loading/decoding from file/memory: JPG, PNG, TGA, BMP,
    PSD, GIF, HDR, PIC
  * stb_truetype.h: parse, decode, and rasterize characters from truetype fonts
  * stb_image_write.h: image writing to disk: PNG, TGA, BMP
  * stb_image_resize.h: resize images larger/smaller with good quality
  * stb_rect_pack.h: simple 2D rectangle packer with decent quality
  * stb_sprintf.h: fast sprintf, snprintf for C/C++
  * stretchy_buffer.h: typesafe dynamic array for C (i.e. approximation to
    vector<>), doesn't compile as C++
  * stb_textedit.h: guts of a text editor for games etc implementing them from
    scratch
  * stb_voxel_render.h: Minecraft-esque voxel rendering "engine" with many more
    features
  * stb_dxt.h: Fabian "ryg" Giesen's real-time DXT compressor
  * stb_perlin.h: revised Perlin noise (3D input, 1D output)
  * stb_easy_font.h: quick-and-dirty easy-to-deploy bitmap font for printing
    frame rate, etc
  * stb_tilemap_editor.h: embeddable tilemap editor
  * stb_herringbone_wang_tile.h: herringbone Wang tile map generator
  * stb_c_lexer.h: simplify writing parsers for C-like languages
  * stb_divide.h: more useful 32-bit modulus e.g. "euclidean divide"
  * stb_connected_components.h: incrementally compute reachability on grids
  * stb.h: helper functions for C, mostly redundant in C++; basically author's
    personal stuff
  * stb_leakcheck.h: quick-and-dirty malloc/free leak-checking

Package: libstb-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libstb0 (= ${binary:Version}), ${misc:Depends}
Description: single-file public domain (or MIT licensed) libraries - development headers
 It includes the following modules:
  * stb_vorbis.c: decode ogg vorbis files from file/memory to float/16-bit
    signed output
  * stb_image.h: image loading/decoding from file/memory: JPG, PNG, TGA, BMP,
    PSD, GIF, HDR, PIC
  * stb_truetype.h: parse, decode, and rasterize characters from truetype fonts
  * stb_image_write.h: image writing to disk: PNG, TGA, BMP
  * stb_image_resize.h: resize images larger/smaller with good quality
  * stb_rect_pack.h: simple 2D rectangle packer with decent quality
  * stb_sprintf.h: fast sprintf, snprintf for C/C++
  * stretchy_buffer.h: typesafe dynamic array for C (i.e. approximation to
    vector<>), doesn't compile as C++
  * stb_textedit.h: guts of a text editor for games etc implementing them from
    scratch
  * stb_voxel_render.h: Minecraft-esque voxel rendering "engine" with many more
    features
  * stb_dxt.h: Fabian "ryg" Giesen's real-time DXT compressor
  * stb_perlin.h: revised Perlin noise (3D input, 1D output)
  * stb_easy_font.h: quick-and-dirty easy-to-deploy bitmap font for printing
    frame rate, etc
  * stb_tilemap_editor.h: embeddable tilemap editor
  * stb_herringbone_wang_tile.h: herringbone Wang tile map generator
  * stb_c_lexer.h: simplify writing parsers for C-like languages
  * stb_divide.h: more useful 32-bit modulus e.g. "euclidean divide"
  * stb_connected_components.h: incrementally compute reachability on grids
  * stb.h: helper functions for C, mostly redundant in C++; basically author's
    personal stuff
  * stb_leakcheck.h: quick-and-dirty malloc/free leak-checking
 .
 This package contains the development files.

## libstb 0.0~git20190617.5.c72a95d

=== Makefile ===
INCLUDES = -I..
CFLAGS = -Wno-pointer-to-int-cast -Wno-int-to-pointer-cast -DSTB_DIVIDE_TEST
CPPFLAGS = -Wno-write-strings -DSTB_DIVIDE_TEST

#CFLAGS += -O -fsanitize=address

all:
	$(CC) $(INCLUDES) $(CFLAGS) ../stb_vorbis.c test_c_compilation.c test_c_lexer.c test_dxt.c test_easyfont.c test_image.c test_image_write.c test_perlin.c test_sprintf.c test_truetype.c test_voxel.c -lm
	$(CC) $(INCLUDES) $(CPPFLAGS) test_cpp_compilation.cpp -lm -lstdc++
	$(CC) $(INCLUDES) $(CFLAGS) -DIWT_TEST image_write_test.c -lm -o image_write_test

=== debian/changelog ===
libstb (0.0~git20190617.5.c72a95d-2) unstable; urgency=medium

  * Fix FTBFS on many architectures

 -- Yangfl <mmyangfl@gmail.com>  Wed, 10 Jul 2019 20:14:35 +0800

libstb (0.0~git20190617.5.c72a95d-1) unstable; urgency=medium

  * New upstream release
  * Try to fix FTBFS on x32
  * Bump Standards-Version to 4.4.0
  * Bump debhelper compat to 12

 -- Yangfl <mmyangfl@gmail.com>  Mon, 08 Jul 2019 16:38:02 +0800

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# https://github.com/nothings/stb/issues/741
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -fwrapv
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	+make -C tests clean

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	+make -C tests
	+make -C tests do_tests
endif

## libstb 0.0~git20190817.1.052dce1

=== Makefile ===
--- 
+++ 
@@ -6,5 +6,5 @@
 
 all:
 	$(CC) $(INCLUDES) $(CFLAGS) ../stb_vorbis.c test_c_compilation.c test_c_lexer.c test_dxt.c test_easyfont.c test_image.c test_image_write.c test_perlin.c test_sprintf.c test_truetype.c test_voxel.c -lm
-	$(CC) $(INCLUDES) $(CPPFLAGS) test_cpp_compilation.cpp -lm -lstdc++
+	$(CC) $(INCLUDES) $(CPPFLAGS) -std=c++0x test_cpp_compilation.cpp -lm -lstdc++
 	$(CC) $(INCLUDES) $(CFLAGS) -DIWT_TEST image_write_test.c -lm -o image_write_test

=== debian/changelog ===
libstb (0.0~git20190817.1.052dce1-1) unstable; urgency=medium

  [ Boyuan Yang ]
  * New upstream snapshot
    + Include upstream CVE fixes:
      - CVE-2019-13217: heap buffer overflow in start_decoder()
      - CVE-2019-13218: stack buffer overflow in compute_codewords()
      - CVE-2019-13219: uninitialized memory in
                        vorbis_decode_packet_rest()
      - CVE-2019-13220: out-of-range read in draw_line()
      - CVE-2019-13221: issue with large 1D codebooks in
                        lookup1_values()
      - CVE-2019-13222: unchecked NULL returned by get_window()
      - CVE-2019-13223: division by zero in predict_point()
      (Closes: #934966)
  * debian/rules, Makefile: Make sure the package cross-builds
    correctly (Closes: #932660)
  * debian/libstb0.symbols: Add new symbols

 -- Yangfl <mmyangfl@gmail.com>  Fri, 20 Sep 2019 08:31:51 +0800

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: libstb
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Yangfl <mmyangfl@gmail.com>
-Build-Depends: debhelper (>=11~)
-Standards-Version: 4.2.1
+Maintainer: Yangfl <mmyangfl@gmail.com>
+Build-Depends: debhelper-compat (= 12),
+Standards-Version: 4.4.0
 Homepage: https://github.com/nothings/stb
 Vcs-Git: https://salsa.debian.org/yangfl-guest/stb.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/stb

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,8 @@
 # https://github.com/nothings/stb/issues/741
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -fwrapv
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
+export MULTIARCH = $(DEB_HOST_MULTIARCH)
 
 
 %:

## libstb 0.0~git20200713.b42009b

=== debian/changelog ===
libstb (0.0~git20200713.b42009b-1) unstable; urgency=medium

  * New upstream snapshot
  * Make Description more descriptive (Closes: #948571)
  * Bump Standards-Version to 4.5.0
  * Bump debhelper compat to 13

 -- Yangfl <mmyangfl@gmail.com>  Tue, 08 Dec 2020 15:07:36 +0800

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
   https://github.com/nothings/stb \
   HEAD debian uupdate

## libstb 0.0~git20200713.b42009b+ds

=== tests/Makefile ===
INCLUDES = -I..
CFLAGS = -Wno-pointer-to-int-cast -Wno-int-to-pointer-cast -DSTB_DIVIDE_TEST
CPPFLAGS = -Wno-write-strings -DSTB_DIVIDE_TEST

# Uncomment this line for reproducing OSS-Fuzz bugs with image_fuzzer
#CFLAGS += -O -fsanitize=address 

all:
	$(CC) $(INCLUDES) $(CFLAGS) ../stb_vorbis.c test_c_compilation.c test_c_lexer.c test_dxt.c test_easyfont.c test_image.c test_image_write.c test_perlin.c test_sprintf.c test_truetype.c test_voxel.c -lm
	$(CC) $(INCLUDES) $(CPPFLAGS) -std=c++0x test_cpp_compilation.cpp -lm -lstdc++
	$(CC) $(INCLUDES) $(CFLAGS) -DIWT_TEST image_write_test.c -lm -o image_write_test
	$(CC) $(INCLUDES) $(CFLAGS) fuzz_main.c stbi_read_fuzzer.c -lm -o image_fuzzer

=== debian/changelog ===
libstb (0.0~git20200713.b42009b+ds-1) unstable; urgency=medium

  * Mask out rectangle packing replacement in stb_truetype (Closes: #982029)
  * Bump Standards-Version to 4.5.1

 -- Yangfl <mmyangfl@gmail.com>  Tue, 16 Feb 2021 13:39:47 +0800

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: libs
 Priority: optional
 Maintainer: Yangfl <mmyangfl@gmail.com>
-Build-Depends: debhelper-compat (= 12),
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 13),
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Homepage: https://github.com/nothings/stb
 Vcs-Git: https://salsa.debian.org/yangfl-guest/stb.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/stb
@@ -13,7 +14,10 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: single-file public domain (or MIT licensed) libraries for C/C++
+Description: single-file image and audio processing libraries for C/C++
+ libstb is a set of single-file libraries for C/C++. The files are dual-licensed
+ under public domain and the MIT license.
+ .
  It includes the following modules:
   * stb_vorbis.c: decode ogg vorbis files from file/memory to float/16-bit
     signed output
@@ -48,7 +52,10 @@
 Architecture: any
 Multi-Arch: same
 Depends: libstb0 (= ${binary:Version}), ${misc:Depends}
-Description: single-file public domain (or MIT licensed) libraries - development headers
+Description: single-file image and audio processing libraries for C/C++ - development headers
+ libstb is a set of single-file libraries for C/C++. The files are dual-licensed
+ under public domain and the MIT license.
+ .
  It includes the following modules:
   * stb_vorbis.c: decode ogg vorbis files from file/memory to float/16-bit
     signed output

=== debian/rules ===
--- 
+++ 
@@ -14,12 +14,9 @@
 %:
 	dh $@
 
-override_dh_auto_clean:
-	dh_auto_clean
-	+make -C tests clean
+execute_after_dh_auto_clean:
+	+$(MAKE) -C tests clean
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	+make -C tests
-	+make -C tests do_tests
-endif
+	+$(MAKE) -C tests
+	+$(MAKE) -C tests do_tests

## libstb 0.0~git20210910.af1a5bc+ds

=== debian/changelog ===
libstb (0.0~git20210910.af1a5bc+ds-1) unstable; urgency=medium

  * New upstream snapshot
    + Fix CVE-2019-15058 (Closes: #934973)
  * Bump Standards-Version to 4.6.0
  * Add upstream metadata

 -- Yangfl <mmyangfl@gmail.com>  Sun, 23 Jan 2022 16:57:05 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends: debhelper-compat (= 13),
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/nothings/stb
 Vcs-Git: https://salsa.debian.org/yangfl-guest/stb.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/stb

## libstb 0.0~git20220908.8b5f1f3+ds

=== debian/changelog ===
libstb (0.0~git20220908.8b5f1f3+ds-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Boyuan Yang <byang@debian.org>  Tue, 07 Feb 2023 22:29:21 -0500

libstb (0.0~git20220908.8b5f1f3+ds-1) unstable; urgency=medium

  * New upstream snapshot
    + Fix CVE-2021-28021 (Closes: #1014530)
    + Fix CVE-2019-20056 (Closes: #1014711)
  * Bump Standards-Version to 4.6.1
  [ David (Plasma) Paul ]
  * d/p/0001-Makefile-refactor.patch:
    + Copy stb_vorbis.c into includedir as stb_vorbis.h (Closes: #1017378)
    + Fix incomplete clean target (Closes: #1017377)

 -- Yangfl <mmyangfl@gmail.com>  Tue, 27 Sep 2022 19:12:59 +0800

=== debian/watch ===
version=4
opts="mode=git,pgpmode=none,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,repacksuffix=+ds" \
   https://github.com/nothings/stb \
   HEAD debian uupdate

## libstb 0.0~git20230129.5736b15+ds

=== debian/changelog ===
libstb (0.0~git20230129.5736b15+ds-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with -Werror=implicit-function-declaration (Closes: #1065764).

 -- Andrey Rakhmatullin <wrar@debian.org>  Tue, 12 Mar 2024 21:40:23 +0500

libstb (0.0~git20230129.5736b15+ds-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062639

 -- Graham Inggs <ginggs@debian.org>  Wed, 28 Feb 2024 19:04:59 +0000

libstb (0.0~git20230129.5736b15+ds-1) unstable; urgency=medium

  * New upstream snapshot
    + Fix CVE-2022-28041 CVE-2022-28042 (Closes: #1014531)
    + Fix CVE-2021-42715 CVE-2021-42716 (Closes: #1014532)

 -- Yangfl <mmyangfl@gmail.com>  Thu, 16 Mar 2023 05:43:00 +0800

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,17 @@
 Section: libs
 Priority: optional
 Maintainer: Yangfl <mmyangfl@gmail.com>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/nothings/stb
 Vcs-Git: https://salsa.debian.org/yangfl-guest/stb.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/stb
 
-Package: libstb0
+Package: libstb0t64
+Provides: ${t64:Provides}
+Replaces: libstb0
+Breaks: libstb0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -51,7 +54,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libstb0 (= ${binary:Version}), ${misc:Depends}
+Depends: libstb0t64 (= ${binary:Version}), ${misc:Depends}
 Description: single-file image and audio processing libraries for C/C++ - development headers
  libstb is a set of single-file libraries for C/C++. The files are dual-licensed
  under public domain and the MIT license.

## libstb 0.0~git20240715.f7f20f39fe4f+ds

=== debian/changelog ===
libstb (0.0~git20240715.f7f20f39fe4f+ds-1) unstable; urgency=medium

  * New upstream snapshot
  * Fix FTBFS with GCC 14 (Closes: #1075209)
  * Bump Standards-Version to 4.7.0

 -- Yangfl <mmyangfl@gmail.com>  Sat, 27 Jul 2024 09:08:44 +0800

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: libs
 Priority: optional
 Maintainer: Yangfl <mmyangfl@gmail.com>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/nothings/stb
 Vcs-Git: https://salsa.debian.org/yangfl-guest/stb.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/stb

## libstb 0.0~git20241109.5c20573+ds

=== debian/changelog ===
libstb (0.0~git20241109.5c20573+ds-1) unstable; urgency=medium

  * New upstream snapshot (Closes: #1099072)
  * Bump Standards-Version to 4.7.2

 -- Yangfl <mmyangfl@gmail.com>  Sat, 01 Mar 2025 00:11:25 +0800

## libstb 0.0~git20250907.fede005%2Bds

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends: debhelper-compat (= 13),
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/nothings/stb
 Vcs-Git: https://salsa.debian.org/yangfl-guest/stb.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/stb

## libstb 0.0~git20250907.fede005+ds

=== debian/changelog ===
libstb (0.0~git20250907.fede005+ds-1) unstable; urgency=medium

  * New upstream snapshot

 -- Yangfl <mmyangfl@gmail.com>  Thu, 11 Sep 2025 22:38:41 +0800

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 # https://github.com/nothings/stb/issues/741
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -fwrapv
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND =
 
 export MULTIARCH = $(DEB_HOST_MULTIARCH)

=== debian/watch ===
Version: 5
Source: https://github.com/nothings/stb
Matching-Pattern: HEAD
Mode: git
Dversion-Mangle: s/\+ds\d*$//
Repacksuffix: +ds
